SELECT 
	G.ID, 
	G.PHYSICAL_NAME, 
	G.LOGICAL_NAME, 
	G.MEMO, 
	H.LOGICAL_NAME, 
	H.PHYSICAL_NAME, 
	H.MEMO, 
	H.CLASS_NAME, 
	H.SEARCH_STRING
FROM 
	WEDGE_CS_CTRAN as Z
	Inner Join WEDGE_CS_SERVERSUB as A on ( CHAR( A.PHYSICAL_NAME ) = CHAR(Z.SERVERSUB_PNAME) )
	Inner Join WEDGE_CS_STRAN as B on ( CHAR( B.SERVERSUB_ID ) = CHAR(A.ID) and CHAR( B.PHYSICAL_NAME ) = CHAR(Z.STRAN_PNAME) )
	Inner Join WEDGE_CS_DECISION_TABLE as C on ( CHAR( C.SERVERSUB_ID ) = CHAR(A.ID) and CHAR( C.SERVER_TRAN_ID ) = CHAR(B.ID) )
	Inner Join WEDGE_CS_DECISION_TYPE as D on ( CHAR( D.SERVERSUB_ID ) = CHAR(A.ID) and CHAR( D.DECISION_TABLE_ID ) = CHAR(C.ID) )
	Inner Join WEDGE_CS_DECISION_DLCP as E on ( CHAR( E.SERVERSUB_ID ) = CHAR(A.ID) and CHAR( E.DECISION_TYPE_ID ) = CHAR(D.ID) )
	Inner Join WEDGE_CS_DLCP as F on ( CHAR( F.SERVERSUB_ID ) = CHAR(A.ID) and CHAR( F.ID ) = CHAR(E.DC_ID) )
	Inner Join WEDGE_DAT_DLCP_H as G on ( CHAR( G.ID ) = CHAR(F.DLCP_ID) )
	Inner Join WEDGE_DLCP as H on ( CHAR( H.ID ) = CHAR(G.COMM_ID) )
WHERE 
	CHAR( Z.FRAME_ID ) = ?
GROUP BY 
	G.ID, 
	G.PHYSICAL_NAME, 
	G.LOGICAL_NAME, 
	G.MEMO, 
	H.LOGICAL_NAME, 
	H.PHYSICAL_NAME, 
	H.MEMO, 
	H.CLASS_NAME, 
	H.SEARCH_STRING
ORDER BY 
	G.PHYSICAL_NAME
