SELECT 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.MEMO, 
	B.PHYSICAL_NAME as "frame_type", 
	C.ID, 
	C.LOGICAL_NAME, 
	C.PHYSICAL_NAME, 
	D.ID, 
	D.LOGICAL_NAME, 
	D.PHYSICAL_NAME, 
	A.TITLE, 
	A.WIDTH, 
	A.HEIGHT, 
	A.COMPILED, 
	A.OMIT_BACKCOLOR, 
	G.PHYSICAL_NAME as "omit_backcolor_timing", 
	H.PHYSICAL_NAME as "statusbar_position", 
	A.STATUSBAR_FORECOLOR, 
	A.STATUSBAR_BACKCOLOR, 
	A.IMAGE_PATH, 
	K.PHYSICAL_NAME as "save_contents", 
	A.CREATE_USER, 
	A.CREATE_DATE, 
	A.UPDATE_USER, 
	A.UPDATE_DATE, 
	A.REVISION
FROM 
	WEDGE_CS_FRAME as A
	Left Outer Join WEDGE_NAME as B on ( CHAR( B.VALUE ) = CHAR(A.FRAME_TYPE) and CHAR( B.SEARCH_STRING ) = 'FRAME_TYPE' )
	Left Outer Join WEDGE_PRJ_MENU_H as C on ( CHAR( C.ID ) = CHAR(A.MENU_H_ID) )
	Left Outer Join WEDGE_PRJ_TOOLBAR_H as D on ( CHAR( D.ID ) = CHAR(A.TOOLBAR_H_ID) )
	Left Outer Join WEDGE_NAME as G on ( CHAR( G.VALUE ) = CHAR(A.OMIT_BACKCOLOR_TIMING) and CHAR( G.SEARCH_STRING ) = 'OMIT_BACKCOLOR_TIMING' )
	Left Outer Join WEDGE_NAME as H on ( CHAR( H.VALUE ) = CHAR(A.STATUSBAR_POSITION) and CHAR( H.SEARCH_STRING ) = 'STATUSBAR_POSITION' )
	Left Outer Join WEDGE_NAME as K on ( CHAR( K.VALUE ) = CHAR(A.SAVE_CONTENTS) and CHAR( K.SEARCH_STRING ) = 'CLOSE_OPERATION' )
WHERE 
	CHAR( A.ID ) = ?
