SELECT 
	A.FRAME_ID, 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.MEMO, 
	D.PHYSICAL_NAME as "item_type", 
	E.PHYSICAL_NAME as "default_check", 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	C.ID, 
	C.LOGICAL_NAME, 
	C.PHYSICAL_NAME, 
	F.ID, 
	F.LOGICAL_NAME, 
	F.PHYSICAL_NAME, 
	G.ID, 
	G.LOGICAL_NAME, 
	G.PHYSICAL_NAME
FROM 
	WEDGE_CS_ITEM as A
	Left Outer Join WEDGE_CS_COMPONENT as B on ( CHAR( B.ID ) = CHAR(A.COMPONENT_ID) )
	Left Outer Join WEDGE_DAT_DATA_D as C on ( CHAR( C.ID ) = CHAR(A.DATA_D_ID) )
	Left Outer Join WEDGE_NAME as D on ( CHAR( D.VALUE ) = CHAR(A.ITEM_TYPE) and CHAR( D.SEARCH_STRING ) = 'ITEM_TYPE' )
	Left Outer Join WEDGE_NAME as E on ( CHAR( E.VALUE ) = CHAR(A.DEFAULT_CHECK) and CHAR( E.SEARCH_STRING ) = 'ONOFF' )
	Left Outer Join WEDGE_PRJ_MENU_D as F on ( CHAR( F.ID ) = CHAR(A.MENU_D_ID) )
	Left Outer Join WEDGE_PRJ_TOOLBAR_D as G on ( CHAR( G.ID ) = CHAR(A.TOOLBAR_D_ID) )
WHERE 
	CHAR( A.ID ) = ?
