SELECT 
	A.FRAME_ID, 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.MEMO, 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	C.PHYSICAL_NAME as "readonly", 
	D.PHYSICAL_NAME as "insertmenu", 
	E.PHYSICAL_NAME as "copymenu", 
	F.PHYSICAL_NAME as "deletemenu", 
	G.PHYSICAL_NAME as "movemenu", 
	H.PHYSICAL_NAME as "rowreversal", 
	A.ROWHEIGHT, 
	I.PHYSICAL_NAME as "resizemode", 
	A.CREATE_USER, 
	A.CREATE_DATE, 
	A.UPDATE_USER, 
	A.UPDATE_DATE
FROM 
	WEDGE_CS_TABLE_H as A
	Left Outer Join WEDGE_CS_COMPONENT as B on ( CHAR( B.ID ) = CHAR(A.COMPONENT_ID) )
	Left Outer Join WEDGE_NAME as C on ( CHAR( C.VALUE ) = CHAR(A.READONLY) and CHAR( C.SEARCH_STRING ) = 'ONOFF' )
	Left Outer Join WEDGE_NAME as D on ( CHAR( D.VALUE ) = CHAR(A.INSERTMENU) and CHAR( D.SEARCH_STRING ) = 'ONOFF' )
	Left Outer Join WEDGE_NAME as E on ( CHAR( E.VALUE ) = CHAR(A.COPYMENU) and CHAR( E.SEARCH_STRING ) = 'ONOFF' )
	Left Outer Join WEDGE_NAME as F on ( CHAR( F.VALUE ) = CHAR(A.DELETEMENU) and CHAR( F.SEARCH_STRING ) = 'ONOFF' )
	Left Outer Join WEDGE_NAME as G on ( CHAR( G.VALUE ) = CHAR(A.MOVEMENU) and CHAR( G.SEARCH_STRING ) = 'ONOFF' )
	Left Outer Join WEDGE_NAME as H on ( CHAR( H.VALUE ) = CHAR(A.ROWREVERSAL) and CHAR( H.SEARCH_STRING ) = 'ONOFF' )
	Left Outer Join WEDGE_NAME as I on ( CHAR( I.VALUE ) = CHAR(A.RESIZEMODE) and CHAR( I.SEARCH_STRING ) = 'COLUMN_RESIZEMODE' )
WHERE 
	CHAR( A.ID ) = ?
