SELECT 
	Z.EXECUTE_TIMING, 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.MEMO, 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	B.MEMO, 
	C.ID, 
	C.LOGICAL_NAME, 
	C.PHYSICAL_NAME, 
	C.MEMO, 
	D.PHYSICAL_NAME as "user_error", 
	Z.BEFORE_DIALOG, 
	Z.AFTER_DIALOG, 
	Z.ERROR_DIALOG, 
	Z.PARAM, 
	Z.ENABLE
FROM 
	WEDGE_CS_EXECUTE_TIMING as Z
	Left Outer Join WEDGE_CS_CRULE AS A ON ( A.ID = Z.CRULE_ID  )
	Left Outer Join WEDGE_CS_CTRAN AS B ON ( B.ID = Z.CTRAN_ID  )
	Left Outer Join WEDGE_CS_ITEM AS C ON ( C.ID = Z.NEXT_ITEM_ID  )
	Left Outer Join ( SELECT * FROM WEDGE_NAME WHERE  SEARCH_STRING = 'CLIENT_USER_ERROR' ) AS D ON ( D.VALUE = Z.USER_ERROR  )
WHERE 
	Z.ITEM_ID = ? AND 
	Z.EXECUTE_TIMING = 1
ORDER BY 
	Z.LINE
