SELECT 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.MEMO, 
	C.PHYSICAL_NAME as "execute_timing", 
	D.ID, 
	D.LOGICAL_NAME, 
	D.PHYSICAL_NAME, 
	D.MEMO, 
	E.ID, 
	E.LOGICAL_NAME, 
	E.PHYSICAL_NAME, 
	E.MEMO, 
	F.ID, 
	F.LOGICAL_NAME, 
	F.PHYSICAL_NAME, 
	F.MEMO, 
	G.PHYSICAL_NAME as "user_error", 
	Z.BEFORE_DIALOG, 
	Z.AFTER_DIALOG, 
	Z.ERROR_DIALOG, 
	Z.PARAM, 
	Z.ENABLE
FROM 
	WEDGE_CS_EXECUTE_TIMING "Z", 
	WEDGE_CS_TABLE_H "A", 
	WEDGE_CS_COMPONENT "B", 
	WEDGE_NAME "C", 
	WEDGE_CS_CRULE "D", 
	WEDGE_CS_CTRAN "E", 
	WEDGE_CS_ITEM "F", 
	WEDGE_NAME "G"
WHERE 
	Z.EXECUTE_TIMING = '3' AND 
	A.ID = Z.TABLE_H_ID AND 
	B.ID = A.COMPONENT_ID AND 
	B.ID = ? AND 
	C.VALUE (+)= TO_CHAR(Z.EXECUTE_TIMING)  AND 
	C.SEARCH_STRING (+)= 'EXECUTE_TIMING' AND 
	D.ID (+)= Z.CRULE_ID AND 
	E.ID (+)= Z.CTRAN_ID AND 
	F.ID (+)= Z.NEXT_ITEM_ID AND 
	G.VALUE (+)= Z.USER_ERROR AND 
	G.SEARCH_STRING (+)= 'CLIENT_USER_ERROR'
ORDER BY 
	Z.LINE
