SELECT 
	H.ID, 
	H.PHYSICAL_NAME, 
	H.LOGICAL_NAME, 
	0 as "select", 
	0 as "update", 
	COUNT(G.ID) as "insert", 
	0 as "delete"
FROM 
	WEDGE_CS_CTRAN "Z", 
	WEDGE_CS_SERVERSUB "A", 
	WEDGE_CS_STRAN "B", 
	WEDGE_CS_DECISION_TABLE "C", 
	WEDGE_CS_DECISION_TYPE "D", 
	WEDGE_CS_DECISION_DLCP "E", 
	WEDGE_CS_DLCP "F", 
	WEDGE_DAT_DLCP_H "G", 
	WEDGE_DAT_TABLE_H "H", 
	WEDGE_DLCP "I"
WHERE 
	Z.FRAME_ID = ? AND 
	A.PHYSICAL_NAME = Z.SERVERSUB_PNAME AND 
	B.SERVERSUB_ID = A.ID AND 
	B.PHYSICAL_NAME = Z.STRAN_PNAME AND 
	C.SERVERSUB_ID = A.ID AND 
	C.SERVER_TRAN_ID = B.ID AND 
	D.SERVERSUB_ID = A.ID AND 
	D.DECISION_TABLE_ID = C.ID AND 
	E.SERVERSUB_ID = A.ID AND 
	E.DECISION_TYPE_ID = D.ID AND 
	F.SERVERSUB_ID = A.ID AND 
	F.ID = E.DC_ID AND 
	G.ID = F.DLCP_ID AND 
	G.COMM_ID = 256 AND 
	H.ID = G.TABLE_H_ID AND 
	I.ID = G.COMM_ID
GROUP BY 
	H.ID, 
	H.PHYSICAL_NAME, 
	H.LOGICAL_NAME
ORDER BY 
	H.PHYSICAL_NAME
