SELECT 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.MEMO, 
	D.PHYSICAL_NAME as "item_type", 
	E.PHYSICAL_NAME as "default_check", 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	C.ID, 
	C.LOGICAL_NAME, 
	C.PHYSICAL_NAME, 
	F.ID, 
	F.LOGICAL_NAME, 
	F.PHYSICAL_NAME, 
	G.ID, 
	G.LOGICAL_NAME, 
	G.PHYSICAL_NAME
FROM 
	WEDGE_CS_ITEM "A", 
	WEDGE_CS_COMPONENT "B", 
	WEDGE_DAT_DATA_D "C", 
	WEDGE_NAME "D", 
	WEDGE_NAME "E", 
	WEDGE_PRJ_MENU_D "F", 
	WEDGE_PRJ_TOOLBAR_D "G"
WHERE 
	A.FRAME_ID = ? AND 
	B.ID (+)= A.COMPONENT_ID AND 
	C.ID (+)= A.DATA_D_ID AND 
	D.VALUE (+)= A.ITEM_TYPE AND 
	D.SEARCH_STRING (+)= 'ITEM_TYPE' AND 
	E.VALUE (+)= A.DEFAULT_CHECK AND 
	E.SEARCH_STRING (+)= 'ONOFF' AND 
	F.ID (+)= A.MENU_D_ID AND 
	G.ID (+)= A.TOOLBAR_D_ID
ORDER BY 
	A.LINE
