SELECT 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.MEMO, 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	B.MEMO, 
	D.ID, 
	D.LOGICAL_NAME, 
	D.PHYSICAL_NAME, 
	D.MEMO, 
	E.ID, 
	E.LOGICAL_NAME, 
	E.PHYSICAL_NAME, 
	E.MEMO, 
	F.PHYSICAL_NAME as "user_error", 
	Z.ENABLE, 
	Z.MEMO
FROM 
	WEDGE_CS_EXECUTION_D "Z", 
	WEDGE_CS_CRULE "A", 
	WEDGE_CS_CTRAN "B", 
	WEDGE_CS_HTML_H "D", 
	WEDGE_CS_HTML_H "E", 
	WEDGE_NAME "F"
WHERE 
	Z.HID = ? AND 
	A.ID (+)= Z.CRULE_ID AND 
	B.ID (+)= Z.CTRAN_ID AND 
	D.ID (+)= Z.HTML_ID AND 
	E.ID (+)= Z.ERROR_HTML_ID AND 
	F.VALUE (+)= Z.USER_ERROR AND 
	F.SEARCH_STRING (+)= 'GATEWAY_USER_ERROR'
ORDER BY 
	Z.LINE
