SELECT 
	H.ID, 
	H.PHYSICAL_NAME, 
	H.LOGICAL_NAME, 
	COUNT(G.ID) as "count"
FROM 
	WEDGE_BAT_TRAN "Z", 
	WEDGE_BAT_DECISION_TABLE "C", 
	WEDGE_BAT_DECISION_TYPE "D", 
	WEDGE_BAT_DECISION_DLCP "E", 
	WEDGE_BAT_DLCP "F", 
	WEDGE_DAT_DLCP_H "G", 
	WEDGE_DAT_TABLE_H "H", 
	WEDGE_DLCP "I"
WHERE 
	Z.ID = ? AND 
	C.BATCH_SUB_ID = Z.BATCH_SUB_ID AND 
	C.SERVER_TRAN_ID = Z.ID AND 
	D.BATCH_SUB_ID = Z.BATCH_SUB_ID AND 
	D.DECISION_TABLE_ID = C.ID AND 
	E.BATCH_SUB_ID = Z.BATCH_SUB_ID AND 
	E.DECISION_TYPE_ID = D.ID AND 
	F.BATCH_SUB_ID = Z.BATCH_SUB_ID AND 
	F.ID = E.DC_ID AND 
	G.ID = F.DLCP_ID AND 
	G.COMM_ID = 257 AND 
	H.ID = G.TABLE_H_ID AND 
	I.ID = G.COMM_ID
GROUP BY 
	H.ID, 
	H.PHYSICAL_NAME, 
	H.LOGICAL_NAME
ORDER BY 
	H.PHYSICAL_NAME
