SELECT 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.MEMO, 
	C.PHYSICAL_NAME as "execute_timing", 
	D.ID, 
	D.LOGICAL_NAME, 
	D.PHYSICAL_NAME, 
	D.MEMO, 
	E.ID, 
	E.LOGICAL_NAME, 
	E.PHYSICAL_NAME, 
	E.MEMO, 
	F.ID, 
	F.LOGICAL_NAME, 
	F.PHYSICAL_NAME, 
	F.MEMO, 
	G.PHYSICAL_NAME as "user_error", 
	Z.BEFORE_DIALOG, 
	Z.AFTER_DIALOG, 
	Z.ERROR_DIALOG, 
	Z.PARAM, 
	Z.ENABLE
FROM 
	WEDGE_CS_EXECUTE_TIMING as Z
	Inner Join WEDGE_CS_ITEM AS A ON ( A.ID = Z.ITEM_ID  )
	Inner Join WEDGE_CS_COMPONENT AS B ON ( B.ID = A.COMPONENT_ID  AND B.ID = ?  )
	Left Outer Join ( SELECT * FROM WEDGE_NAME WHERE  SEARCH_STRING = 'EXECUTE_TIMING' ) AS C ON ( C.VALUE = Z.EXECUTE_TIMING  )
	Left Outer Join WEDGE_CS_CRULE AS D ON ( D.ID = Z.CRULE_ID  )
	Left Outer Join WEDGE_CS_CTRAN AS E ON ( E.ID = Z.CTRAN_ID  )
	Left Outer Join WEDGE_CS_ITEM AS F ON ( F.ID = Z.NEXT_ITEM_ID  )
	Left Outer Join ( SELECT * FROM WEDGE_NAME WHERE  SEARCH_STRING = 'CLIENT_USER_ERROR' ) AS G ON ( G.VALUE = Z.USER_ERROR  )
WHERE 
	Z.EXECUTE_TIMING = '1'
ORDER BY 
	Z.LINE
