<?xml version="1.0" encoding="shift_jis"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" > 
<xsl:import href="./common.xsl"/>
<xsl:output method="html" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" />

<!-- ****** TOP ****** -->

<xsl:template match="/">
	<xsl:apply-templates select="dynamic_document">
		<xsl:with-param name="select_type" select="'2'"/>
		<xsl:with-param name="data_type" select="$TARGET_CS_JAVACLIENT"/>
		<xsl:with-param name="id" select="$HEADER_ID"/>
		<xsl:with-param name="frame_id" select="$HEADER_ID"/>
	</xsl:apply-templates>
</xsl:template>

<!-- ****** HEADER ****** -->

<xsl:template match="header">
	<xsl:call-template name="sub_links"/>
	<xsl:call-template name="title_tab">
		<xsl:with-param name="name" select="concat($CAMC,$DETAIL)"/>
		<xsl:with-param name="image" select="$IMG_FRAME"/>
	</xsl:call-template>
	
<xsl:element name="table">
	<xsl:attribute name="class">main</xsl:attribute>
	<xsl:attribute name="summary">FRAME</xsl:attribute>

	<xsl:element name="tr">
		<xsl:attribute name="style">width:100%</xsl:attribute>
		<xsl:element name="th">
			<xsl:attribute name="style">width:30%</xsl:attribute><xsl:value-of select="$LOGICAL_NAME" />
		</xsl:element>
		<xsl:element name="td"><xsl:value-of select="logical_name" /></xsl:element>
	</xsl:element>

	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$PHYSICAL_NAME" /></xsl:element>
		<xsl:element name="td"><xsl:value-of select="physical_name" /></xsl:element>
	</xsl:element>
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$COMMENT" /></xsl:element>
		<xsl:element name="td"><xsl:value-of select="memo" /></xsl:element>
	</xsl:element>
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$FRAME_TYPE" /></xsl:element>
		<xsl:element name="td"><xsl:value-of select="frame_type" /></xsl:element>
	</xsl:element>
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$TITLE" /></xsl:element>
		<xsl:element name="td"><xsl:value-of select="title" /></xsl:element>
	</xsl:element>
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$LAYOUT_W" />F<xsl:value-of select="$LAYOUT_H" /></xsl:element>
		<xsl:element name="td"><xsl:value-of select="width" />F<xsl:value-of select="height" /></xsl:element>
	</xsl:element>
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$STATUS_BAR_POSITION" /> (<xsl:value-of select="$FORE_COLOR" />:<xsl:value-of select="$BACK_COLOR" />)</xsl:element>
		<xsl:element name="td"><xsl:value-of select="statusbar_position" /> ( <xsl:value-of select="statusbar_forecolor" /> : <xsl:value-of select="statusbar_backcolor" /> )</xsl:element>
	</xsl:element>
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$IMAGE" /></xsl:element>
		<xsl:element name="td"><xsl:value-of select="image_path" /></xsl:element>
	</xsl:element>
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$SAVE_CONTENTS" /></xsl:element>
		<xsl:element name="td"><xsl:value-of select="save_contents" /></xsl:element>
	</xsl:element>
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$CONPILED" /></xsl:element>
		<xsl:element name="td"><xsl:call-template name="compiled" /></xsl:element>
	</xsl:element>
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$REVISION" /></xsl:element>
		<xsl:element name="td"><xsl:value-of select="revision" /></xsl:element>
	</xsl:element>
	<!--
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$CREATE_USER" /> (<xsl:value-of select="$CREATE_DATE" />)</xsl:element>
		<xsl:element name="td"><xsl:value-of select="create_user" /> ( <xsl:call-template name="formatdate"><xsl:with-param name="word" select="create_date"/></xsl:call-template> )</xsl:element>
	</xsl:element>
	-->
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$UPDATE_USER" /> (<xsl:value-of select="$UPDATE_DATE" />)</xsl:element>
		<xsl:element name="td"><xsl:value-of select="update_user" /> ( <xsl:call-template name="formatdate"><xsl:with-param name="word" select="update_date"/></xsl:call-template> )</xsl:element>
	</xsl:element>
</xsl:element>

</xsl:template>

<!-- ****** Detail ****** -->

<xsl:template match="detail">
	<!-- RECORD -->
	<xsl:if test="$HREF ='io'">
		<xsl:call-template name="write_record">
			<xsl:with-param name="data_type" select="$TARGET_CS_ITEM" />
		</xsl:call-template>
	</xsl:if>
	<!-- TIMING -->
	<xsl:if test="$HREF = 'timing'">
		<xsl:call-template name="executions" />
	</xsl:if>
	<!-- FRAME -->
	<xsl:if test="$HREF = 'frame'">
		<xsl:call-template name="frame" />
	</xsl:if>
	<!-- TABLE -->
	<xsl:if test="$HREF = 'table'">
		<xsl:call-template name="tables" />
	</xsl:if>
	<!-- DC -->
	<xsl:if test="$HREF = 'dc'">
		<xsl:call-template name="dcs" />
	</xsl:if>
	<!-- MENU -->
	<xsl:if test="$HREF = 'menu'">
		<xsl:call-template name="menus" />
	</xsl:if>
	<!-- property -->
	<xsl:if test="$HREF = 'property'">
		<xsl:call-template name="property" />
	</xsl:if>
</xsl:template>

<!-- ************ href frame ****************** -->

<xsl:template name="frame">
	<xsl:element name="br" />
	<xsl:element name="table">
		<xsl:attribute name="class">main</xsl:attribute>
		<xsl:attribute name="summary"><xsl:value-of select="$PARENT_FRAME" /> <xsl:value-of select="$SHOW_FRAME" /></xsl:attribute>
		<xsl:element name="tr">
			<xsl:element name="th">
				<xsl:attribute name="style">width:300</xsl:attribute><xsl:value-of select="$PARENT_FRAME" />
			</xsl:element>
			<xsl:element name="th">
				<xsl:attribute name="style">width:20;text-align:center</xsl:attribute>
			</xsl:element>
			<xsl:element name="th">
				<xsl:attribute name="style">width:100</xsl:attribute>
			</xsl:element>
			<xsl:element name="th">
				<xsl:attribute name="style">width:20;text-align:center</xsl:attribute>
			</xsl:element>
			<xsl:element name="th">
				<xsl:attribute name="style">width:300</xsl:attribute><xsl:value-of select="$SHOW_FRAME" />
			</xsl:element>
		</xsl:element>
		<xsl:element name="tr">
			<xsl:element name="td">
				<xsl:attribute name="style">width:300</xsl:attribute>
				<xsl:for-each select="from/record">
					<xsl:element name="a">
						<xsl:attribute name="href">
							<xsl:call-template name="create_link">
								<xsl:with-param name="data_type" select="$TARGET_CS_JAVACLIENT"/>
								<xsl:with-param name="select_type" select="2"/>
								<xsl:with-param name="id" select="frame/id"/>
							</xsl:call-template>
						</xsl:attribute>
						<xsl:value-of select="frame/logical_name" /><xsl:element name="br" /><xsl:value-of select="frame/physical_name" />
					</xsl:element>
					<xsl:element name="br" /><xsl:element name="br" />
				</xsl:for-each>
			</xsl:element>
			<xsl:element name="th"></xsl:element>
			
			<xsl:element name="td">
				<xsl:attribute name="style">width:20%;text-align:center;</xsl:attribute>
				<xsl:call-template name="image_of_frame" /><xsl:element name="br" />
				<xsl:value-of select="/dynamic_document/env/frame_pname" />
			</xsl:element>
			
			<xsl:element name="th"></xsl:element>
			
			<xsl:element name="td">
				<xsl:attribute name="style">width:300</xsl:attribute>
					<xsl:for-each select="to/record">
						<xsl:element name="a">
							<xsl:attribute name="href">
								<xsl:call-template name="create_link">
									<xsl:with-param name="data_type" select="$TARGET_CS_JAVACLIENT"/>
									<xsl:with-param name="select_type" select="2"/>
									<xsl:with-param name="id" select="frame/id"/>
								</xsl:call-template>
							</xsl:attribute>
							<xsl:value-of select="frame/logical_name" /><xsl:element name="br" /><xsl:value-of select="frame/physical_name" />
						</xsl:element>
						<xsl:element name="br" /><xsl:element name="br" />
					</xsl:for-each>
			</xsl:element>
		</xsl:element>
	</xsl:element>
</xsl:template>

<!-- ************ href menus ****************** -->

<xsl:template name="menus">
	<xsl:element name="br" />
	<xsl:element name="table">
		<xsl:attribute name="class">main</xsl:attribute>
		<xsl:attribute name="summary">Menu</xsl:attribute>
		<xsl:element name="tr">
			<xsl:element name="th"><xsl:value-of select="$DESKTOP" /></xsl:element>
			<xsl:element name="th"><xsl:value-of select="$COMMENT" /></xsl:element>
			<xsl:element name="th"><xsl:value-of select="$TEXT" /></xsl:element>
			<xsl:element name="th"><xsl:value-of select="$TOOLTIP_TEXT" /></xsl:element>
		</xsl:element>
		<xsl:for-each select="record">
			<xsl:if test="id[.!='']">
			<xsl:element name="tr">
				<xsl:element name="td"><xsl:value-of select="logical_name" /><xsl:element name="br" />
				    <xsl:value-of select="physical_name" /></xsl:element>
				<xsl:element name="td"><xsl:value-of select="memo" /></xsl:element>
				<xsl:element name="td"><xsl:value-of select="text" /></xsl:element>
				<xsl:element name="td"><xsl:value-of select="tooltip_text" /></xsl:element>
			</xsl:element>
			</xsl:if>
		</xsl:for-each>
	</xsl:element>
</xsl:template>

</xsl:stylesheet>
