<?xml version="1.0" encoding="shift_jis"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" > 
<xsl:import href="./common.xsl"/>
<xsl:output method="html" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" />

<!-- ****** TOP ****** -->

<xsl:template match="/">
	<xsl:apply-templates select="dynamic_document">
		<xsl:with-param name="select_type" select="'2'"/>
		<xsl:with-param name="data_type" select="$TARGET_CS_HTMLCLIENT"/>
		<xsl:with-param name="id" select="$HEADER_ID"/>
		<xsl:with-param name="frame_id" select="$HEADER_ID"/>
	</xsl:apply-templates>
</xsl:template>

<!-- ****** HEADER ****** -->

<xsl:template match="header">
	<xsl:call-template name="sub_links"/>
	<xsl:call-template name="title_tab">
		<xsl:with-param name="name" select="concat($HAMC,$DETAIL)"/>
		<xsl:with-param name="image" select="$IMG_FRAME"/>
	</xsl:call-template>
	
<xsl:element name="table">
	<xsl:attribute name="class">main</xsl:attribute>
	<xsl:attribute name="summary">FRAME</xsl:attribute>

	<xsl:element name="tr">
		<xsl:attribute name="style">width:100%</xsl:attribute>
		<xsl:element name="th">
			<xsl:attribute name="style">width:30%</xsl:attribute><xsl:value-of select="$LOGICAL_NAME" />
		</xsl:element>
		<xsl:element name="td"><xsl:value-of select="logical_name" /></xsl:element>
	</xsl:element>

	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$PHYSICAL_NAME" /></xsl:element>
		<xsl:element name="td"><xsl:value-of select="physical_name" /></xsl:element>
	</xsl:element>
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$COMMENT" /></xsl:element>
		<xsl:element name="td"><xsl:value-of select="memo" /></xsl:element>
	</xsl:element>
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$CONPILED" /></xsl:element>
		<xsl:element name="td"><xsl:call-template name="compiled" /></xsl:element>
	</xsl:element>
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$REVISION" /></xsl:element>
		<xsl:element name="td"><xsl:value-of select="revision" /></xsl:element>
	</xsl:element>
	<!--
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$CREATE_USER" /> (<xsl:value-of select="$CREATE_DATE" />)</xsl:element>
		<xsl:element name="td"><xsl:value-of select="create_user" /> ( <xsl:call-template name="formatdate"><xsl:with-param name="word" select="create_date"/></xsl:call-template> )</xsl:element>
	</xsl:element>
	-->
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$UPDATE_USER" /> (<xsl:value-of select="$UPDATE_DATE" />)</xsl:element>
		<xsl:element name="td"><xsl:value-of select="update_user" /> ( <xsl:call-template name="formatdate"><xsl:with-param name="word" select="update_date"/></xsl:call-template> )</xsl:element>
	</xsl:element>

</xsl:element>

</xsl:template>

<!-- ****** Detail ****** -->

<xsl:template match="detail">
	<!-- TABLE -->
	<xsl:if test="$HREF = 'table'">
		<xsl:call-template name="tables" />
	</xsl:if>
	<!-- DC -->
	<xsl:if test="$HREF = 'dc'">
		<xsl:call-template name="dcs" />
	</xsl:if>

</xsl:template>


</xsl:stylesheet>
