<?xml version="1.0" encoding="shift_jis"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" > 
<xsl:import href="./common.xsl"/>
<xsl:output method="html" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" />

<!-- ****** TOP ****** -->

<xsl:template match="/">
	<xsl:apply-templates select="dynamic_document">
		<xsl:with-param name="select_type" select="'2'"/>
		<xsl:with-param name="data_type" select="$TARGET_CS_ITEM"/>
		<xsl:with-param name="id" select="$HEADER_ID"/>
	</xsl:apply-templates>
</xsl:template>

<!-- ****** HEADER ****** -->
<xsl:template match="header">
	<xsl:call-template name="sub_links"/>
	<xsl:call-template name="frame_info"/>

	<xsl:call-template name="title_tab">
		<xsl:with-param name="name" select="concat($ITEM,$DETAIL)"/>
		<xsl:with-param name="image" select="$IMG_ITEM"/>
	</xsl:call-template>

<xsl:element name="table">
	<xsl:attribute name="class">main</xsl:attribute>
	<xsl:attribute name="summary"><xsl:value-of select="$ITEM" /><xsl:value-of select="$DETAIL" /></xsl:attribute>

	<xsl:element name="tr">
		<xsl:attribute name="style">width:100%</xsl:attribute>
		<xsl:element name="th">
			<xsl:attribute name="style">width:150px;</xsl:attribute><xsl:value-of select="$LOGICAL_NAME" />
		</xsl:element>
		<xsl:element name="td"><xsl:value-of select="logical_name" /></xsl:element>
	</xsl:element>
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$PHYSICAL_NAME" /></xsl:element>
		<xsl:element name="td"><xsl:value-of select="physical_name" /></xsl:element>
	</xsl:element>
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$COMMENT" /></xsl:element>
		<xsl:element name="td"><xsl:value-of select="memo" /></xsl:element>
	</xsl:element>

	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$ITEM_TYPE" /></xsl:element>
		<xsl:element name="td"><xsl:value-of select="item_type" /></xsl:element>
	</xsl:element>
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$ITEM_CHECK" /></xsl:element>
		<xsl:element name="td"><xsl:value-of select="default_check" /></xsl:element>
	</xsl:element>
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$COMPONENT" /></xsl:element>
		<xsl:element name="td">
			<xsl:if test="component/id[.!='']">
				<xsl:element name="a">
					<xsl:attribute name="href">
						<xsl:call-template name="create_link">
							<xsl:with-param name="data_type" select="$TARGET_CS_COMPONENT"/>
							<xsl:with-param name="select_type" select="2"/>
							<xsl:with-param name="id" select="component/id"/>
						</xsl:call-template>
					</xsl:attribute>
					<xsl:value-of select="component/logical_name" /><xsl:element name="br" /><xsl:value-of select="component/physical_name" />
				</xsl:element>
			</xsl:if>
		</xsl:element>
	</xsl:element>
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$DATAD" /></xsl:element>
		<xsl:element name="td">
			<xsl:if test="data/id[.!='']">
			<xsl:element name="a">
				<xsl:attribute name="href">
					<xsl:call-template name="create_link">
						<xsl:with-param name="data_type" select="$TARGET_DAT_DATA"/>
						<xsl:with-param name="select_type" select="3"/>
						<xsl:with-param name="id" select="data/id"/>
					</xsl:call-template>
				</xsl:attribute>
				<xsl:value-of select="data/logical_name" /><xsl:element name="br" /><xsl:value-of select="data/physical_name" />
			</xsl:element>
			</xsl:if>
		</xsl:element>
	</xsl:element>
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$MENU" /></xsl:element>
		<xsl:element name="td">
			<xsl:value-of select="menu/logical_name" /><xsl:element name="br" /><xsl:value-of select="menu/physical_name" />
		</xsl:element>
	</xsl:element>

	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$TOOLBAR" /></xsl:element>
		<xsl:element name="td">
			<xsl:value-of select="toolbar/logical_name" /><xsl:element name="br" /><xsl:value-of select="toolbar/physical_name" />
		</xsl:element>
	</xsl:element>

</xsl:element>

</xsl:template>
<!-- ****** DETAIL ****** -->
<xsl:template match="detail">

		<!-- TIMING -->
		<xsl:if test="$HREF = 'timing'">
			<xsl:call-template name="executions"/>
		</xsl:if>
		<!-- RULE -->
		<xsl:if test="$HREF = 'crule'">
			<xsl:call-template name="rules">
				<xsl:with-param name="data_type" select="'crule'"/>
			</xsl:call-template>
		</xsl:if>
		<!-- TRAN -->
		<xsl:if test="$HREF = 'ctran'">
			<xsl:call-template name="trans">
				<xsl:with-param name="data_type" select="'ctran'"/>
			</xsl:call-template>
		</xsl:if>
		<!-- flow -->
		<xsl:if test="$HREF = 'flow'">
			<xsl:call-template name="flow">
				<xsl:with-param name="data_type" select="'crule'"/>
			</xsl:call-template>
		</xsl:if>
</xsl:template>


<!-- ************************************************** -->
<xsl:template name="flow">
<xsl:element name="table">
<xsl:attribute name="style">width:100%</xsl:attribute>
<xsl:element name="tr">
	<xsl:element name="th"><xsl:value-of select="$FRAME_GETDATA" /></xsl:element>
	<xsl:element name="th"><xsl:value-of select="$ONLOAD" /></xsl:element>
	<xsl:element name="th"><xsl:value-of select="$ONOPEN" /></xsl:element>
	<xsl:element name="th"><xsl:value-of select="$ONGUI" /></xsl:element>
	<xsl:element name="th"><xsl:value-of select="$ONCLOSE" /></xsl:element>
	<xsl:element name="th"><xsl:value-of select="$ONDISPOSE" /></xsl:element>
	<xsl:element name="th"><xsl:value-of select="$FRAME_SENDDATA" /></xsl:element>
	<xsl:element name="th"><xsl:value-of select="$UNNONE" /></xsl:element>
</xsl:element>


<xsl:element name="tr">
	<xsl:element name="td">
		<xsl:value-of select="isGet" />
	</xsl:element>
	
	<xsl:element name="td">
		<xsl:for-each select="load/record">
			<xsl:call-template name="ruleshow" />
		</xsl:for-each>
	</xsl:element>
	
	<xsl:element name="td">
		<xsl:for-each select="open/record">
			<xsl:call-template name="ruleshow" />
		</xsl:for-each>
	</xsl:element>
	
	<xsl:element name="td">
		<xsl:for-each select="gui/record">
			<xsl:call-template name="ruleshow" />
		</xsl:for-each>
	</xsl:element>
	
	<xsl:element name="td">
		<xsl:for-each select="close/record">
		<xsl:call-template name="ruleshow" />
	</xsl:for-each>
	</xsl:element>

	<xsl:element name="td">
		<xsl:for-each select="dispose/record">
		<xsl:call-template name="ruleshow" />
	</xsl:for-each>
	</xsl:element>
	
	<xsl:element name="td">
		<xsl:value-of select="isSend" />
	</xsl:element>

	<xsl:element name="td">
		<xsl:for-each select="unnone/record">
		<xsl:call-template name="ruleshow" />
	</xsl:for-each>
	</xsl:element>

</xsl:element>
</xsl:element>
</xsl:template>


<xsl:template name="ruleshow">
	<xsl:element name="a">
		<xsl:attribute name="href">
			<xsl:call-template name="create_link">
				<xsl:with-param name="data_type" select="'crule'"/>
				<xsl:with-param name="select_type" select="2"/>
				<xsl:with-param name="id" select="./id"/>
			</xsl:call-template>
		</xsl:attribute>
		<xsl:value-of select="logical_name" />
	</xsl:element>
	<xsl:element name="br" />
	</xsl:template>
</xsl:stylesheet>
