<?xml version="1.0" encoding="shift_jis"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" > 
<xsl:import href="./common.xsl"/>
<xsl:output method="html" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" />


<!-- ****** TOP ****** -->
<xsl:template match="/">
	<xsl:apply-templates select="dynamic_document">
		<xsl:with-param name="select_type" select="'2'"/>
		<xsl:with-param name="data_type" select="$TARGET_SMC_TRAN"/>
		<xsl:with-param name="id" select="$HEADER_ID"/>
	</xsl:apply-templates>
</xsl:template>

<!-- ****** HEADER ****** -->
<xsl:template match="header">
	<xsl:call-template name="sub_links"/>
	<xsl:call-template name="server_info"/>

	<xsl:call-template name="title_tab">
		<xsl:with-param name="name" select="concat($TRANSACTION,$DETAIL)"/>
		<xsl:with-param name="image" select="$IMG_TRAN"/>
	</xsl:call-template>
	
<xsl:element name="table">
	<xsl:attribute name="class">main</xsl:attribute>
	<xsl:attribute name="summary"><xsl:value-of select="concat($TRANSACTION,$DETAIL)" /></xsl:attribute>

	<xsl:element name="tr">
		<xsl:attribute name="style">width:100%</xsl:attribute>
		<xsl:element name="th">
			<xsl:attribute name="style">width:150px;</xsl:attribute><xsl:value-of select="$LOGICAL_NAME" />
		</xsl:element>
		<xsl:element name="td"><xsl:value-of select="logical_name" /></xsl:element>
	</xsl:element>
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$PHYSICAL_NAME" /></xsl:element>
		<xsl:element name="td"><xsl:value-of select="physical_name" /></xsl:element>
	</xsl:element>
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$COMMENT" /></xsl:element>
		<xsl:element name="td"><xsl:value-of select="memo" /></xsl:element>
	</xsl:element>
</xsl:element>

</xsl:template>
<!-- ****** DETAIL ****** -->
<xsl:template match="detail">

	<!-- TIMING -->
	<xsl:if test="$HREF = 'detail'">
		<xsl:apply-templates select="decition_table/dt">
			<xsl:with-param name="dc_datatype" select="$TARGET_SMC_DC"/>
			<xsl:with-param name="rule_datatype" select="$TARGET_SMC_RULE"/>
			<xsl:with-param name="tran_datatype" select="$TARGET_SMC_OTRAN"/>
		</xsl:apply-templates>
	</xsl:if>

	<!-- TABLE -->
	<xsl:if test="$HREF = 'table'">
		<xsl:call-template name="tables"/>
	</xsl:if>

</xsl:template>


</xsl:stylesheet>
